Subject: Re: [PATCH V1 net-next] IB/ipoib: Fix ndo_get_iflink

From: Nicolas Dichtel <[email-masked]>
Date: Fri, 17 Apr 2015 09:11:28 +0200

Le 16/04/2015 15:34, Erez Shitrit a écrit :
> Currently, iflink of the parent interface was always accessed, even
> when interface didn't have a parent and hence we crashed there.
>
> Handle the interface types properly: for a child interface, return
> the ifindex of the parent, for parent interface, return its ifindex.
>
> For child devices, make sure to set the parent pointer prior to
> invoking register_netdevice(), this allows the new ndo to be called
> by the stack immediately after the child device is registered.
>
> Fixes: 5aa7add8f14b ('infiniband/ipoib: implement ndo_get_iflink')
> Reported-by: Honggang Li <[email-masked]>
> Signed-off-by: Erez Shitrit <erezsh-VPRAkNaXOzVWk0Htik3J/[email-masked]>
> Signed-off-by: Honggang Li <[email-masked]>
Acked-by: Nicolas Dichtel <[email-masked]>
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html